=== debian/changelog ===
rumur (2020.01.27-1) unstable; urgency=medium

  * New upstream release.

  * Add strace as a build dependency.

  * Update Standards-Version from 4.4.1 to 4.5.0.

  * Some robustness improvements to the autopkgtests.

  * RUMUR_VERSION variable in rules is now set automatically from the changelog
    using pkg-info.mk support.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Mon, 27 Jan 2020 18:26:29 -0800

rumur (2020.01.11-1) unstable; urgency=medium

  * New upstream release.

  * Update autopkgtest tests to test the installed binaries and library.
    Previously this incorrectly ran the upstream test suite.

  * Update RUMUR_VERSION variable in rules from 2019.12.22-1 to 2020.01.11-1.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Sun, 12 Jan 2020 10:00:20 -0800

rumur (2019.12.22-1) unstable; urgency=medium

  * New upstream release.

  * Switch all Python references to Python 3. Closes: #943253.

  * Update Standards-Version from 4.3.0 to 4.4.1.

  * Remove xxd dependency. Upstream changed to no longer rely on xxd.

  * Correct Vcs-Git URL typo.

  * Remove manpages file. Upstream already installed man pages at the correct
    path, so this file was doing unnecessary duplicate work.

  * Integrate upstream test suite into Debian packaging steps as a Test-Command.

  * Update RUMUR_VERSION variable in rules from 2019.02.04-1 to 2019.12.22-1.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Mon, 23 Dec 2019 18:52:50 -0800

rumur (2019.02.04-1) unstable; urgency=medium

  * Initial release. Closes: #919220.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Mon, 4 Feb 2019 18:46:36 -0800
