=== debian/tests/control ===
Tests: librumur-api rumur-ast-dump-model rumur-ast-dump-version rumur-model rumur-run-model rumur-version
Depends: build-essential, libfl-dev, libgmp-dev, python3 (>= 3.6), rumur
Restrictions: allow-stderr
