=== debian/tests/control ===
Tests: librumur-api murphi2xml-model murphi2xml-version rumur-model rumur-run-model rumur-version
Depends: build-essential, libfl-dev, libgmp-dev, python3 (>= 3.6), rumur
Restrictions: allow-stderr
