## rumur 2020.07.28

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
 
 project(rumur LANGUAGES CXX)
 
@@ -32,9 +32,13 @@
   set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--as-needed")
 endif()
 
+add_subdirectory(librumur)
+add_subdirectory(murphi2c)
+add_subdirectory(murphi2murphi)
 add_subdirectory(murphi2xml)
-add_subdirectory(librumur)
 add_subdirectory(rumur)
 
-enable_testing()
-add_test(tests env PATH=${CMAKE_CURRENT_BINARY_DIR}/rumur:${CMAKE_CURRENT_BINARY_DIR}/murphi2xml:$ENV{PATH} ${CMAKE_CURRENT_SOURCE_DIR}/tests/run-tests.py --jobs 1)
+add_custom_target(check
+  COMMAND env PATH=${CMAKE_CURRENT_BINARY_DIR}/rumur:${CMAKE_CURRENT_BINARY_DIR}/murphi2c:${CMAKE_CURRENT_BINARY_DIR}/murphi2murphi:${CMAKE_CURRENT_BINARY_DIR}/murphi2xml:$ENV{PATH}
+    ${CMAKE_CURRENT_SOURCE_DIR}/tests/run-tests.py --jobs 1)
+add_dependencies(check murphi2c murphi2murphi murphi2xml rumur)
