=== debian/changelog ===
rumur (2020.07.28-1) unstable; urgency=medium

  * New upstream release.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Thu, 30 Jul 2020 17:53:43 -0700

rumur (2020.05.27-1) unstable; urgency=medium

  * New upstream release.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Sat, 30 May 2020 10:27:18 -0700

rumur (2020.05.18-1) unstable; urgency=medium

  * New upstream release.

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse, thanks to Debian Janitor.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Wed, 20 May 2020 17:19:48 -0700

rumur (2020.04.26-1) unstable; urgency=medium

  * New upstream release.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Mon, 27 Apr 2020 17:14:28 -0700

rumur (2020.04.05-1) unstable; urgency=medium

  * New upstream release.

  * Add some autopkgtests for new binary, murphi2murphi.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Sun, 19 Apr 2020 09:08:53 -0700

rumur (2020.03.12-1) unstable; urgency=medium

  * New upstream release.

  * Add some autopkgtests for new binary, murphi2c.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Sun, 15 Mar 2020 10:27:19 -0700
