=== rumur/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
   ${CMAKE_CURRENT_BINARY_DIR}/resources_includes.cc
   ${CMAKE_CURRENT_BINARY_DIR}/resources_header.cc
   ${CMAKE_CURRENT_BINARY_DIR}/resources_manpage.cc
+  ../common/escape.cc
   ../common/help.cc
   src/assume-statements-count.cc
   src/environ.cc
@@ -39,8 +40,10 @@
   src/log.cc
   src/main.cc
   src/max-simple-width.cc
+  src/optimise-field-ordering.cc
   src/options.cc
   src/output.cc
+  src/prints-scalarsets.cc
   src/process.cc
   src/smt/define-enum-members.cc
   src/smt/define-records.cc
