=== debian/changelog ===
rumur (2020.12.20-1) unstable; urgency=medium

  * New upstream release.

  * Update Standards-Version from 4.5.0 to 4.5.1.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Tue, 22 Dec 2020 17:22:30 -0800

rumur (2020.09.06-1) unstable; urgency=medium

  * New upstream release.

  * Fix armel, armhf, mipsel, mips64el sandboxing. Closes: #969156.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Mon, 07 Sep 2020 09:43:16 -0700
