=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libgmp-dev,
  python3 (>= 3.6),
  strace
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/Smattr/rumur
 Vcs-Git: https://github.com/Smattr/rumur.git -b packaging/debian
 Vcs-Browser: https://github.com/Smattr/rumur.git
