## rumur 2022.08.20

=== librumur/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-project(librumur LANGUAGES CXX)
-
 find_package(BISON REQUIRED)
 find_package(FLEX REQUIRED)
 
@@ -19,10 +17,11 @@
 bison_target(parser
   src/parser.yy
   ${CMAKE_CURRENT_BINARY_DIR}/parser.yy.cc
-  COMPILE_FLAGS --warnings=all)
+  COMPILE_FLAGS "--no-lines --warnings=all")
 flex_target(lexer
   src/lexer.l
-  ${CMAKE_CURRENT_BINARY_DIR}/lexer.l.cc)
+  ${CMAKE_CURRENT_BINARY_DIR}/lexer.l.cc
+  COMPILE_FLAGS "--noline")
 add_flex_bison_dependency(lexer parser)
 
 # Suppress warnings in generated code.
@@ -71,6 +70,7 @@
   src/Property.cc
   src/resolve-symbols.cc
   src/Rule.cc
+  src/sanitise_rule_names.cc
   src/Stmt.cc
   src/traverse.cc
   src/TypeExpr.cc
@@ -82,10 +82,13 @@
   PUBLIC
   $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
   $<INSTALL_INTERFACE:include>
-  ${GMPXX_INCLUDE}
   PRIVATE
   src
   ${CMAKE_CURRENT_BINARY_DIR})
+target_include_directories(librumur
+  SYSTEM PUBLIC
+  ${GMPXX_INCLUDE}
+)
 target_link_libraries(librumur PUBLIC ${GMPXX_LIBRARIES} ${GMP_LIBRARIES})
 
 # Force the output to librumur.a instead of liblibrumur.a.
