=== murphi2murphi/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,7 @@
   ${CMAKE_CURRENT_BINARY_DIR}/../librumur)
 
 target_link_libraries(murphi2murphi
+  PRIVATE
   librumur)
 
 # Compress manpage
