=== murphi2xml/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
   ${CMAKE_CURRENT_BINARY_DIR}/../librumur)
 
 target_link_libraries(murphi2xml
+  PRIVATE
   librumur)
 
 # Compress manpages
