=== rumur/CMakeLists.txt ===
--- 
+++ 
@@ -65,6 +65,7 @@
   ${CMAKE_CURRENT_BINARY_DIR}/../librumur)
 
 target_link_libraries(rumur
+  PRIVATE
   librumur)
 
 # Compress manpages
