=== debian/changelog ===
rumur (2022.08.20-1) unstable; urgency=medium

  * New upstream release.

  * Fix sandbox failures due to getrandom. Closes: #1017199.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Sat, 20 Aug 2022 14:58:29 -0700

rumur (2022.03.05-1) unstable; urgency=medium

  * New upstream release.

  * Fix sandbox failures due to statx. Closes: #1004035.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Sun, 06 Mar 2022 11:42:05 -0800

rumur (2021.12.27-1) unstable; urgency=medium

  * New upstream release.

  * Fix sandbox failures due to newfstatat. Closes: #1002186.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Tue, 28 Dec 2021 09:14:44 -0800

rumur (2021.09.29-1) unstable; urgency=medium

  * New upstream release.

  * Update Standards-Version from 4.5.1 to 4.6.0.1.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Sat, 02 Oct 2021 07:59:18 -0700

rumur (2021.08.28-1) unstable; urgency=medium

  * New upstream release.

  * A new binary, murphi2uclid, is now included.

  * Python build dependency and suggests have been relaxed from 3.6 to 3.4.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Sat, 04 Sep 2021 09:11:03 -0700
