=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Matthew Fernandez <matthew.fernandez@gmail.com>
 Build-Depends: debhelper-compat (= 12),
- bison (>= 3.0),
- cmake (>= 3.1),
- flex (>= 2.5.35),
+ bison,
+ cmake,
+ flex,
  libfl-dev,
  libgmp-dev,
- python3 (>= 3.6),
+ python3,
  strace
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/Smattr/rumur
 Vcs-Git: https://github.com/Smattr/rumur.git -b packaging/debian
 Vcs-Browser: https://github.com/Smattr/rumur.git
@@ -19,7 +19,7 @@
 Package: rumur
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: python3 (>= 3.6)
+Suggests: python3
 Description: model checker for the Murphi language
  Rumur is a model checker for use in the formal verification of finite state
  machines specified in the Murphi modelling language. It is based on a previous
