## rumur 2023.05.21

=== debian/changelog ===
rumur (2023.05.21-1) unstable; urgency=medium

  * New upstream release.
  * Fix build failures with GCC-13. Closes: #1037851.
  * Update Standards-Version from 4.6.0.1 to 4.6.2.
  * Relicense debian/ as Unlicense instead of GPL-3+.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Sat, 22 Jul 2023 09:45:32 +1000
