=== murphi2c/CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,6 @@
   src/generate_c.cc
   src/generate_h.cc
   src/main.cc
-  src/name_rules.cc
   src/options.cc)
 
 target_include_directories(murphi2c
@@ -40,6 +39,7 @@
   ${CMAKE_CURRENT_BINARY_DIR}/../librumur)
 
 target_link_libraries(murphi2c
+  PRIVATE
   librumur)
 
 # Compress manpage
