=== debian/changelog ===
rumur (2023.11.27-1) unstable; urgency=medium

  * New upstream release.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Sun, 10 Dec 2023 11:26:23 +1100
