=== debian/tests/control ===
Tests: librumur-api murphi2c-header murphi2c-source murphi2c-version murphi2murphi-basic murphi2murphi-version murphi2xml-model murphi2xml-version rumur-model rumur-run-model rumur-version
Depends: build-essential, libfl-dev, libgmp-dev, python3 (>= 3.6), rumur
Restrictions: allow-stderr
