=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/rumur-$1\.tar\.gz/ \
 https://github.com/Smattr/rumur/tags .*/tags/v?(\d\S+)\.tar\.gz
