## rumur 2024.05.07

=== debian/changelog ===
rumur (2024.05.07-1) unstable; urgency=medium

  * New upstream release.
  * Fix inaccurate libatomic checks in autopkgtests. Closes: #1018205.
  * Fix Vcs-Browser URL. Closes: #1018202.
  * Add libxml2-utils, z3 to Build-Depends.
  * Add z3 to Suggests.
  * Update Copyright from 2019 to 2019-2024.
  * Update debian-compat Build-Depends from 12 to 13.
  * Update Standards-Version from 4.6.2 to 4.7.0.

 -- Matthew Fernandez <matthew.fernandez@gmail.com>  Sun, 19 May 2024 07:24:59 +1000
