=== debian/control ===
--- 
+++ 
@@ -2,24 +2,26 @@
 Section: devel
 Priority: optional
 Maintainer: Matthew Fernandez <matthew.fernandez@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  bison,
  cmake,
  flex,
  libfl-dev,
  libgmp-dev,
+ libxml2-utils,
  python3,
- strace
-Standards-Version: 4.6.2
+ strace,
+ z3
+Standards-Version: 4.7.0
 Homepage: https://github.com/Smattr/rumur
 Vcs-Git: https://github.com/Smattr/rumur.git -b packaging/debian
-Vcs-Browser: https://github.com/Smattr/rumur.git
+Vcs-Browser: https://github.com/Smattr/rumur/tree/packaging/debian
 Rules-Requires-Root: no
 
 Package: rumur
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: python3
+Suggests: python3, z3
 Description: model checker for the Murphi language
  Rumur is a model checker for use in the formal verification of finite state
  machines specified in the Murphi modelling language. It is based on a previous
