=== murphi2murphi/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 add_executable(murphi2murphi
   ${CMAKE_CURRENT_BINARY_DIR}/resources_manpage.cc
-  ../common/help.cc
+  ../common/help.c
   src/DecomposeComplexComparisons.cc
   src/ExplicitSemicolons.cc
   src/main.cc
