=== share/CMakeLists.txt ===
install(
  FILES
    _list
    _set
    README.rst
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/rumur/lib
)
install(DIRECTORY v2025.01.04
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/rumur/lib
)
install(DIRECTORY v2025.01.05
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/rumur/lib
)
install(DIRECTORY v2025.02.02
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/rumur/lib
)
