=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  libgmp-dev,
  libxml2-utils,
  python3,
+ python3-pytest,
  strace,
  z3
 Standards-Version: 4.7.0
@@ -20,8 +21,8 @@
 
 Package: rumur
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: python3, z3
+Depends: python3, ${shlibs:Depends}, ${misc:Depends}
+Suggests: z3
 Description: model checker for the Murphi language
  Rumur is a model checker for use in the formal verification of finite state
  machines specified in the Murphi modelling language. It is based on a previous
